xmonad-contrib-0.11.2: Third party extensions for xmonad

Portability | portable
Stability | unstable
Maintainer | Jeremy Apthorp <nornagon@gmail.com>
Safe Haskell | None

XMonad.Layout.Dishes

Contents

- Usage

Description

Dishes is a layout that stacks extra windows underneath the master windows.

Synopsis

- data Dishes a = Dishes Int Rational

# Usage

You can use this module with the following in your `~/.xmonad/xmonad.hs`:

     import XMonad.Layout.Dishes

Then edit your `layoutHook` by adding the Dishes layout:

     myLayout = Dishes 2 (1/6) ||| Full ||| etc..
     main = xmonad defaultConfig { layoutHook = myLayout }

For more detailed instructions on editing the layoutHook see:

XMonad.Doc.Extending

data Dishes a Source

Constructors

Dishes Int Rational |

Instances

LayoutClass Dishes a |
Read (Dishes a) |
Show (Dishes a) |